---
editUrl: false
next: false
prev: false
title: "ModuleStore"
---

## Constructors

### new ModuleStore()

> **new ModuleStore**(): [`ModuleStore`](/v3/api/classes/modulestore/)

#### Returns

[`ModuleStore`](/v3/api/classes/modulestore/)

## Properties

### commands

> **commands**: `Map`\<`string`, `Module`\>

#### Source

[src/core/structures/module-store.ts:10](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/structures/module-store.ts#L10)

***

### metadata

> **metadata**: `WeakMap`\<`Module`, `CommandMeta`\>

#### Source

[src/core/structures/module-store.ts:9](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/structures/module-store.ts#L9)
